<div class="sidebar user-account {% if appRoute == 'app_post' or appRoute == 'stream_post' -%}post{% elseif appRoute == 'stream_homepage' or appRoute == 'user_account_ajax_sidebar_left' %}stream{% endif %}">
    {%- if appRoute == 'app_post' or appRoute == 'stream_homepage'  or appRoute == 'user_account_ajax_sidebar_left' or appRoute == 'stream_post' -%}
        {%- include 'AppBundle:User/Account:userHeaderAvatar.html.twig' with { post: true } -%}
    {%- endif -%}
    <ul>
        {%- set accountName = false -%}
        {%- if account.json_metadata is defined and account.json_metadata.profile is defined -%}
            {%- if account.json_metadata.profile.name is defined -%}
                {%- set accountName = true -%}
                <li class="name">
                    {%- if appRoute == 'app_post' -%}
                        <h3 id="account-alias">
                            {{- account.json_metadata.profile.name -}}
                        </h3>
                    {%- else -%}
                        <h1 id="account-alias">
                            {{- account.json_metadata.profile.name -}}
                        </h1>
                    {%- endif -%}
                </li>
            {%- endif -%}
        {%- endif -%}
        <li class="username {% if accountName == false and appRoute == 'app_post' or appRoute == 'stream_post' %}inline{% endif %}" id="account-username" data-username="{{- account.name -}}">
            {{- '@' ~ account.name -}}
        </li>
        {%- if account.json_metadata is defined and account.json_metadata.profile is defined -%}
            {%- if account.json_metadata.profile.about is defined -%}
                {%- if appRoute != 'app_post' -%}
                    <li class="about" id="account-about">
                        {{- account.json_metadata.profile.about -}}
                    </li>
                {%- endif -%}
            {%- endif -%}
        {%- endif -%}

        <li class="strimi_app follow">
            <span class="btn btn-primary follow-user" data-name="{{- account.name -}}" data-status="0">
                <span class="follow-user-text" data-follow="{{- 'global.user.account.follow.follow' -}}" data-unfollow="{{- 'global.user.account.follow.unfollow' -}}">
                    {{- 'global.user.account.follow.follow'|trans -}}
                </span>
                <div class="loading-oval-button hidden" id="follow-loading"></div>
            </span>
        </li>

        <li class="strimi_app mute">
            <span class="btn btn-red mute-user" data-name="{{- account.name -}}" data-status="0">
                <span class="mute-user-text" data-mute="{{- 'global.user.account.follow.mute' -}}" data-unmute="{{- 'global.user.account.follow.unmute' -}}">
                    {{- 'global.user.account.follow.mute'|trans -}}
                </span>
                <div class="loading-oval-button hidden" id="mute-loading"></div>
            </span>
        </li>

        {%- if account.json_metadata is defined and account.json_metadata.profile is defined -%}
            {%- if account.json_metadata.profile.location is defined and account.json_metadata.profile.location > null -%}
                <li class="location">
                    <i class="icon-location-pin" aria-hidden="true"></i>
                    <span id="account-location">
                        {{- account.json_metadata.profile.location -}}
                    </span>
                </li>
            {%- endif -%}
            {%- if account.json_metadata.profile.website is defined and account.json_metadata.profile.website.url is defined and account.json_metadata.profile.website.url|length != null -%}
                <li class="location">
                    <i class="icon-link"></i>
                    <a href="{{- account.json_metadata.profile.website.url -}}" rel="nofollow" target="_blank">
                        {%- set host = account.json_metadata.profile.website.host -%}
                        {%- if host|length > 20 -%}
                            {{- host[:17] ~ '...' -}}
                        {%- else -%}
                            {{- host -}}
                        {%- endif -%}
                    </a>
                </li>
            {%- endif -%}
        {%- endif -%}
{#
        <li class="online">
            <i class="icon-power"></i>
            <span class="online-name" data-lang="{{- 'global.user.account.sidebar.active' -}}">
                {{- 'global.user.account.sidebar.active'|trans -}}
            </span>
            <span class="time-zone" data-time="{{- account.last_bandwidth_update -}}" tabindex="0" data-toggle="popover" data-trigger="hover" data-content=""></span>
        </li>
#}
        <li class="join">
            <i class="icon-calender"></i>
            <span class="join-name" data-lang="{{- 'global.user.account.sidebar.join' -}}">
                    {{- 'global.user.account.sidebar.join'|trans -}}
                </span>
            <span class="time-zone" data-time="{{- account.created -}}" tabindex="0" data-toggle="popover" data-trigger="hover" data-content=""></span>
        </li>
        <li class="voting-power" tabindex="0" data-toggle="popover" data-trigger="hover" data-content="{{- '100% ~ $' ~ account.vote_worth.total -}}">
            <i class="icon-energy"></i>
            <span class="voting-name" data-lang="{{- 'global.user.account.sidebar.voting_power' -}}">
                {{- 'global.user.account.sidebar.voting_power'|trans -}}
            </span>
            <span class="voting-percent">
                {{- account.voting_power.voting_power_percent[0] ~ '% ~ $' ~ account.vote_worth.current -}}
            </span>
        </li>
        <li class="ranking">
            <i class="icon-trophy"></i>
            {{- '#' ~ account.ranking -}}
            <span class="ranking-name" data-lang="{{- 'global.user.account.sidebar.ranking.place' -}}">
                {{- ' ' ~ 'global.user.account.sidebar.ranking.place'|trans -}}
            </span>
        </li>
    </ul>
</div>